Fix since-until build number in Python plugin for Rider Public EAP
[idea/community.git] / python / pluginResources / META-INF / plugin.xml
1 <idea-plugin xmlns:xi="http://www.w3.org/2001/XInclude" url="https://confluence.jetbrains.com/display/PYH/">
2   <!-- Components and extensions declared in this file work ONLY in Python plugin, not in standalone PyCharm.
3        Anything related to Python/Java integration must go in this file. -->
4
5   <id>PythonCore</id>
6   <name>Python Community Edition</name>
7   <idea-version since-build="163.8540" until-build="163.8540"/>
8
9   <description><![CDATA[
10 The Python plug-in provides smart editing for Python scripts. The feature set of the plugin
11  corresponds to PyCharm IDE Community Edition.
12 <br>
13 <a href="http://blog.jetbrains.com/pycharm">PyCharm blog</a><br>
14 <a href="http://forum.jetbrains.com/forum/PyCharm">Discussion forum</a><br>
15 <a href="https://youtrack.jetbrains.com/issues/PY">Issue tracker</a><br>
16 ]]></description>
17
18   <version>@@PYCHARM_VERSION@@</version>
19
20
21   <vendor url="https://www.jetbrains.com/pycharm/">JetBrains</vendor>
22   <xi:include href="/META-INF/python-core-plugin.xml" xpointer="xpointer(/idea-plugin/*)"/>
23   <xi:include href="/META-INF/python-community-plugin-core.xml" xpointer="xpointer(/idea-plugin/*)"/>
24
25   <depends optional="true" config-file="python-community-plugin-java.xml">com.intellij.modules.java</depends>
26   <depends optional="true" config-file="python-plugin-minor-ide.xml">com.intellij.modules.clion</depends>
27   <depends optional="true" config-file="python-plugin-minor-ide.xml">com.intellij.modules.rider</depends>
28
29   <!-- Two different versions of this file exist: one is used when building from sources (when auxiliary
30      plugins are loaded as separate plugins) and another is used for the real release build (when auxiliary
31      plugins are packed inside the Python plugin jar) -->
32   <xi:include href="/META-INF/python-plugin-dependencies.xml" xpointer="xpointer(/idea-plugin/*)"/>
33 </idea-plugin>